# Argos monitoring

A monitoring and status board for your websites.

1. Define a list of websites to monitor
2. Specify a list of checks to run on these websites.
3. Argos will run the checks periodically and alert you if something goes wrong.

Internally, a HTTP API is exposed, and a job queue is used to distribute the checks to the agents.

- [Online documentation](http://framasoft.frama.io/framaspace/argos)
- [Issue tracker](https://framagit.org/framasoft/framaspace/argos/-/issues)

## Requirements

- **Python**: 3.11+
- **Backends**: SQLite (development), PostgreSQL 14+ (production)

## Todo:

- [ ] Do not return empty list on / when no results from agents. (!17)
- [X] donner un aperçu rapide de l’état de la supervision.
- [X] Use background tasks for alerting (#23)
- [X] Delete outdated tasks from config (#19, !25)
- [X] Implement alerting tasks (#15, 16, !13)
- [X] Handles multiple alerting backends (email, sms, gotify) (!13)
- [X] add an "unknown" severity for check errors (!17)
- [X] Add a command to generate new authentication token (#22)
- [ ] Add a way to specify the severity of the alerts in the config
- [ ] Allow passing a dict to check
- [ ] A configuration flag can automatically add a check of 301 redirection from HTTP to HTTPS

## License

Copyright © 2023 Alexis Métaireau, Framasoft

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
[GNU Affero General Public License](LICENSE) for more details.
